<template>
  <v-card
    color="primary"
    min-height="400"
    class="fill-height"
    :to="{ name: 'countries.details', params: { id: data.alpha3Code } }"
  >
    <!--Start country flag image  --------------------------------------------------------->
    <v-img height="200" aspect-ratio="1.33" :src="data.flag"></v-img>
    <!--End   country flag image  --------------------------------------------------------->

    <!--Start country name        --------------------------------------------------------->
    <v-card-title class="text-h6">{{ data.name }}</v-card-title>
    <!--End   country name        --------------------------------------------------------->

    <!--Start country spec        --------------------------------------------------------->
    <v-card-text class="text-capitalize mb-10">
      <p class="accent--text mb-0 font-weight-bold">
        {{ $_t("components.countries.list.country.population") }} :
        <span class="caption"> {{ $_number(data.population) }} </span>
      </p>
      <p class="accent--text mb-0 font-weight-bold">
        {{ $_t("components.countries.list.country.region") }} :
        <span class="caption"> {{ data.region }} </span>
      </p>
      <p class="accent--text mb-0 font-weight-bold">
        {{ $_t("components.countries.list.country.capital") }} :
        <span class="caption">{{ data.capital }}</span>
      </p>
    </v-card-text>
    <!--End   country spec        --------------------------------------------------------->
  </v-card>
</template>

<script>
export default {
  name: "Country",
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style scoped></style>
